WordPress.org

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

TinyMCEComments

A simple hack to enable WYSIWYG editor TinyMCE on the comment field.

Does this support ${insert plugin name here} and ${insert another plugin name here}?

Short answer: no. Long answer: Unless that developer modify his/her OWN code to use the JS function to insert HTML into the TinyMCE box, no.

Will there be any security issues when I use this plugin?

No. Actually sanity checking for comments are doing in backend, i.e. WordPress filters. This only change the way user input the comment, and how the sanity check are still controlled by WordPress code. And I haven't touch a single bit of that. If you think this plugin poses vulnerabilities, comment boxes with original flavour will also. Go figure.

May I have comment picture support with this plugin?

A big NO. Letting user post picture to your blog sounds dangerous to me, as they could place ads, paste invisible tracking bug, and all other nasty things. However if you insist to do so, you may try check how the comment filter works in WordPress.

How do I set the width of the box? It's too wide/narrow!

In dashboard go the "Theme editor" under "Design". Find and click the link "Comments (comments.php)" on the right hand side. Find the line with the tag <textarea> with name="comment" inside. Search for "cols" and modify the number assigned to it as you wish.

I've activated the plugin but the WYSIWYG editor is not appearing! What should I do?

First you should check if you are using a theme that is not following the standard design guideline. The comment box should have a id equal to "comment". The comment.php should have the line <?php do_action('comment_form', $post->ID); ?>. Check with the theme designer for that if you don't understand.

One more place to look at is the init script generated by the plugin. You could see it by going to http://yourdomain.com/wp_path/wp-content/plugins/tinymcecomment/tinyMCEComments.php .In the first line find tinyMCE.addI18n. If the symbols following is ({:{, then please remove the file and load the page again. (This problem occurs when you are upgrading to 0.4.4-3 from older versions.

Requires: 2.5.0 or higher
Compatible up to: 2.8.4
Last Updated: 2009-9-26
Active Installs: 3,000+

Ratings

0 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,5,5
100,5,5
0,2,0
100,5,5
50,2,1
33,3,1
100,1,1
100,1,1
100,4,4
67,6,4
0,2,0
100,1,1
50,2,1
0,1,0
50,2,1
100,1,1
100,1,1